# <sscmbatch>

Processes Surround SCM batch files.

Processes the batch commands found in the input file. Each line in the input file should contain a single Surround SCM command including proper command line options. The sscm command, Surround SCM server address, port number, username and password are not required for each command line.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
input | file | File to read commands from. | True
output | file | File to direct all standard output to. When executing commands from the input file, all output is written to this file instead of being displayed on the screen. | False
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
serverconnect | string | The address and port number of the Surround SCM server host computer. Format is server:port. If not entered, the last saved connection parameters are used. | False
serverlogin | string | The username and password used to login to the Surround SCM server. Format is username:password. If not entered, the last saved login parameters are used. | False
timeout | int | The maximum amount of time the application is allowed to execute, expressed in milliseconds. Defaults to no time-out. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Framework-configurable parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
useruntimeengine | bool | Specifies whether the external program should be executed using a runtime engine, if configured. The default is false. | False

### Nested Elements:

#### <arg>

The command-line arguments for the external program.

Represents a command-line argument.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
dir | directory | The value for a directory-based command-line argument; will be replaced with the absolute path of the directory. | False
file | file | The name of a file as a single command-line argument; will be replaced with the absolute filename of the file. | False
if | bool | Indicates if the argument should be passed to the external program. If true then the argument will be passed; otherwise, skipped. The default is true. | False
line | string | List of command-line arguments; will be passed to the executable as is. | False
path | <path> | The value for a PATH-like command-line argument; you can use `:` or `;` as path separators and NAnt will convert it to the platform's local conventions, while resolving references to environment variables. | False
unless | bool | Indicates if the argument should not be passed to the external program. If false then the argument will be passed; otherwise, skipped. The default is false. | False
value | string | A single command-line argument; can contain space characters. | False

### Nested Elements:

#### <path>

Sets a single command-line argument and treats it like a PATH - ensures the right separator for the local platform is used.

#### </path>

### Examples

- A single command-line argument containing a space character.

      <arg value="-l -a" />

- Two separate command-line arguments.

      <arg line="-l -a" />

- A single command-line argument with the value `\dir;\dir2;\dir3` on DOS-based systems and `/dir:/dir2:/dir3` on Unix-like systems.

      <arg path="/dir;/dir2:\dir3" />

#### </arg>

### Examples

- Run the batch file `${src}/sscm.batch` on the server at localhost, port 4900 with username 'administrator' and a blank password. All script output is directed to the console.

      <sscmbatch
          serverconnect="localhost:4900"
          serverlogin="administrator:"
          input="${src}/sscm.batch"
      />

- Run the batch file `${src}/sscm.batch` on the server at localhost, port 4900 with username 'administrator' and a blank password. All script output is redirected to `${dist}/sscm.batch.out`.

      <sscmbatch
          serverconnect="localhost:4900"
          serverconnect="administrator:"
          input="${src}/sscm.batch"
          output="${dist}/sscm.batch.out"
      />

### Requirements

Assembly: NAnt.Contrib.Tasks (0.85.2479.0)